## kombu 4.0.2+really4.0.2+dfsg

=== debian/changelog ===
kombu (4.0.2+really4.0.2+dfsg-2ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 15 May 2017 00:47:57 +0000

kombu (4.0.2+really4.0.2+dfsg-2ubuntu1) artful; urgency=medium

  * Add d/patches/0002-dont-modfiy-dict-size-while-iterating-over-it.patch from
    upstream to fix build with Python 3.6. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 12:16:30 +1200

kombu (4.0.2+really4.0.2+dfsg-2) experimental; urgency=medium

  [ Brian May ]
  * Add missing build depends on python-vine and python3-vine.
    Closes: #858540.

  [ Christopher Hoskin ]
  * Change package version to 4.0.2+really4.0.2+dfsg-2 after accidently
    uploading to unstable rather than experimental

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 31 Mar 2017 09:12:12 +0100

kombu (4.0.2+dfsg-1) experimental; urgency=medium

  * Refresh patches after git-dpm to gbp pq conversion
  * Import new upstream release (4.0.2) 
  * Remove redundant patches 
  * Update build dependencies 
  * Add myself to Uploaders 
  * Update copyright file 
  * Add patch to remove image from remote donation site (privacy issue) 
  * Set http(s) proxys to localhost whilst building docs 
  * Remove nose from build dependencies (pytest now used) 
  * Remove nose from CI tests 

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 21 Mar 2017 21:51:21 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kombu

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

override_dh_python3:
	dh_python3 -v
	dh_python3 -v

override_dh_compress:
	dh_compress -X .js -X .html

override_dh_clean:
	rm -rf docs/.build
	rm -rf kombu.egg-info/PKG-INFO
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/kombu/kombu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
debian sh debian/repack.stub

## kombu 4.1.0

=== debian/changelog ===
kombu (4.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Ran wrap-and-sort -bast to minimize diffs.
  * Added myself as uploader.
  * Correctly builds sphinx doc in override_dh_sphinxdoc, and understand
    build-profiles nodoc and nocheck..
  * Removed useless X-Python-Version: >= 2.7 and X-Python3-Version: >= 3.3
    fields.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Nov 2017 21:45:14 +0000

kombu (4.1.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Remove repack script as upstream has merged the ICC profile removal.
  * Add new upstream signing key.
  * Add patch disabling intersphinx to prevent network requests during
    build.
  * Bump Standards-Version to 4.0.0.
  * Remove Artistic and GPL-1+ licenses from d/copyright as
    debian/repack.stub is no longer present.

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Jul 2017 23:07:32 +0200

kombu (4.0.2+really3.0.35+dfsg-2) unstable; urgency=medium

  * Revert mistaken upload of 4.0.2 to unstable instead of experimental

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 24 Mar 2017 20:27:37 +0000

=== debian/control ===
Source: kombu
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
 Christopher Hoskin <mans0954@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-amqp (>= 2.1.4) <!nocheck>,
 python-anyjson (>= 0.3.3) <!nocheck>,
 python-beanstalkc <!nocheck>,
 python-boto <!nocheck>,
 python-case <!nocheck>,
 python-couchdb <!nocheck>,
 python-django <!nocheck>,
 python-funcsigs <!nocheck>,
 python-mock <!nocheck>,
 python-msgpack <!nocheck>,
 python-pika <!nocheck>,
 python-pymongo (>= 2.6.2) <!nocheck>,
 python-pytest <!nocheck>,
 python-redis <!nocheck>,
 python-simplejson <!nocheck>,
 python-sqlalchemy <!nocheck>,
 python-tz <!nocheck>,
 python-unittest2 <!nocheck>,
 python-vine <!nocheck>,
 python-yaml <!nocheck>,
 python3-amqp (>= 2.1.4) <!nocheck>,
 python3-anyjson (>= 0.3.3) <!nocheck>,
 python3-case <!nocheck>,
 python3-django <!nocheck>,
 python3-funcsigs <!nocheck>,
 python3-mock <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pytest <!nocheck>,
 python3-redis <!nocheck>,
 python3-simplejson <!nocheck>,
 python3-sphinx-celery <!nodoc>,
 python3-sqlalchemy <!nocheck>,
 python3-tz <!nocheck>,
 python3-vine <!nocheck>,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python-cjson,
 python-sphinx,
Standards-Version: 4.1.1
Homepage: https://github.com/celery/kombu/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/kombu.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/kombu.git

Package: python-kombu
Architecture: all
Depends:
 python-amqp (>= 1.4.6),
 python-anyjson (>= 0.3.3),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-yaml,
Breaks:
 python-cjson (<= 1.0.5-4+b1),
Suggests:
 python-beanstalkc,
 python-boto,
 python-couchdb,
 python-django,
 python-kombu-doc,
 python-pika,
 python-pymongo (>= 2.6.2),
 python-redis,
 python-sqlalchemy,
Description: AMQP Messaging Framework for Python
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.

Package: python-kombu-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: AMQP Messaging Framework for Python (Documentation)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the documentation.

Package: python3-kombu
Architecture: all
Depends:
 python3-amqp (>= 1.4.6),
 python3-anyjson (>= 0.3.3),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-yaml,
Suggests:
 python-kombu-doc,
 python3-boto,
 python3-django,
 python3-pymongo,
 python3-redis,
 python3-sqlalchemy,
Description: AMQP Messaging Framework for Python (Python3 version)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kombu

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-kombu-doc/usr/share/doc/python-kombu-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
endif

override_dh_python3:
	dh_python3 -v
	dh_python3 -v

override_dh_compress:
	dh_compress -X .js -X .html

override_dh_clean:
	rm -rf docs/.build
	rm -rf kombu.egg-info/PKG-INFO
	dh_clean

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import kombu; print kombu" ; done
Depends: python-all, python-kombu

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import kombu; print(kombu)" ; done
Depends: python3-all, python3-kombu

## kombu 4.2.1

=== debian/changelog ===
kombu (4.2.1-3) unstable; urgency=medium

  [ Josue Ortega ]
  * Team upload.
  * Add debian/patch/0005-Fix-compat-with-redis3.patch to fix compatibility with
    python-redis (>= 3) (Closes: #924976).

 -- Michael Fladischer <fladi@debian.org>  Mon, 22 Apr 2019 21:04:43 +0200

kombu (4.2.1-2) unstable; urgency=high

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * Apply upstream patch PR#978 to fix failing unittests of pyamqp
    transport (Closes: #921787).
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Mar 2019 20:03:25 +0100

kombu (4.2.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Michael Fladischer ]
  * Fix default branch in debian/gbp.conf.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * New upstream release.
  * Refresh patches.
  * Add patch to remove pytest-sugar from test requirements.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Install examples in python-kombu-doc.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Jun 2018 10:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Christopher Hoskin <mans0954@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-setuptools,
@@ -55,10 +55,10 @@
 Build-Conflicts:
  python-cjson,
  python-sphinx,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/celery/kombu/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/kombu.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/kombu.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/kombu.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/kombu
 
 Package: python-kombu
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-kombu-doc/usr/share/doc/python-kombu-doc/html
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-kombu-doc/usr/share/doc/python-kombu-doc/html
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import kombu; print kombu" ; done
Depends: python-all, python-kombu

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import kombu; print(kombu)" ; done
Depends: python3-all, python3-kombu

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/kombu/kombu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kombu 4.6.7

=== debian/changelog ===
kombu (4.6.7-1ubuntu3) focal; urgency=medium

  * d/control: Drop python3-importlib-metadata now that Python 3.7 has
    been dropped from python3-defaults (LP: #1851393).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Apr 2020 09:50:58 -0400

kombu (4.6.7-1ubuntu2) focal; urgency=medium

  * d/control: Move python3-importlib-metadata back to Depends until
    Python 3.7 is dropped from Focal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 13:47:52 -0500

kombu (4.6.7-1ubuntu1) focal; urgency=medium

  * d/control: Move python3-importlib-metadata to Suggests since
    /usr/lib/python3.8/importlib/metadata.py is provided by the Python 3.8
    standard library and Python 3.8 will be the default for Ubuntu Focal.
    The python3-importlib-metadata dependency can be dropped entirely once
    Python 3.8 is the minimum available python version (LP: #1851393).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Feb 2020 09:18:35 -0500

kombu (4.6.7-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Refresh patches.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Set Rules-Requires-Root: no.
  * Bump debhelper version to 12.
  * Bump dependency on python3-amqp to (>= 2.5.2).
  * Fix typo in patch.
  * Remove trailing whitespaces from d/changelog.
  * Use https:// for uscan URL.
  * Set Vcs-* to salsa.debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 17 Dec 2019 22:30:32 +0100

kombu (4.6.4-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:32:32 +0200

kombu (4.6.4-2) experimental; urgency=medium

  * Correctly build-depends on python3-amqp >= 2.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:25:15 +0200

kombu (4.6.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop 0005-Fix-compat-with-redis3.patch applied upstream.
  * Rebased 0003-Remove-pytest-sugar-from-test-requirements.patch.
  * Drop 0004-Fix-failing-unittests-of-pyamqp-transport.patch applied upstream.
  * Add python3-pyro4 to build-depends.
  * Add python3-importlib-metadata to (build-)depends.
  * Add allow-amqp-2.5.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 13:25:50 +0200

kombu (4.2.1-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 21:54:13 +0500

=== debian/control ===
Source: kombu
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
 Christopher Hoskin <mans0954@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-amqp (>= 2.5.2) <!nocheck>,
 python3-anyjson (>= 0.3.3) <!nocheck>,
 python3-case <!nocheck>,
 python3-django <!nocheck>,
 python3-funcsigs <!nocheck>,
 python3-mock <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pyro4 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-redis <!nocheck>,
 python3-simplejson <!nocheck>,
 python3-sphinx-celery <!nodoc>,
 python3-sqlalchemy <!nocheck>,
 python3-tz <!nocheck>,
 python3-vine <!nocheck>,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python-cjson,
 python-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/celery/kombu/
Vcs-Git: https://salsa.debian.org/python-team/modules/kombu.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/kombu
Rules-Requires-Root: no

Package: python-kombu-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: AMQP Messaging Framework for Python (Documentation)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the documentation.

Package: python3-kombu
Architecture: all
Depends:
 python3-amqp (>= 1.4.6),
 python3-anyjson (>= 0.3.3),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-yaml,
Suggests:
 python-kombu-doc,
 python3-boto,
 python3-django,
 python3-pymongo,
 python3-redis,
 python3-sqlalchemy,
Description: AMQP Messaging Framework for Python (Python3 version)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=kombu
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import kombu; print(kombu)" ; done
Depends: python3-all, python3-kombu

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://pypi.debian.net/kombu/kombu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kombu 4.6.11

=== debian/changelog ===
kombu (4.6.11-2ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2020 14:39:20 +0000

kombu (4.6.11-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    -Drop python3-importlib-metadata now that Python 3.7 has
     been dropped from python3-defaults

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Jul 2020 18:31:32 +0200

kombu (4.6.11-2) unstable; urgency=medium

  * Remove python3-funcsigs from B-D.
    It is not needed anymore to perform the tests. (Closes: #960002)
  * Improve d/clean.
    Also remove unnecessary override_dh_clean from d/rules.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 01 Jul 2020 01:17:33 -0400

kombu (4.6.11-1) unstable; urgency=low

  * New upstream release (Closes: #963419).
  * Refresh patches.
  * Add python3-botocore to Build-Depends-Indep, required by tests.
  * Bump debhelper version to 13.
  * Fix file name in d/copyright so lintian can correctly detect that it
    exists.
  * Remove debian/upstream-signing-key.pgp from include-binaries, no
    longer used.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2020 14:53:43 +0200

kombu (4.6.8-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    -Drop python3-importlib-metadata now that Python 3.7 has
     been dropped from python3-defaults

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Apr 2020 10:16:54 +0200

kombu (4.6.8-1) unstable; urgency=medium

  [ Michael Fladischer ]
  * Run wrap-and-sort -bast to reduce diff size of future changes.

  [ Sergio Durigan Junior ]
  * New upstream version 4.6.8
  * Mark python-kombu-doc as Multi-Arch: foreign.
  * Bump Standards-Version to 4.5.0.
  * Add myself to the list of Uploaders.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 13 Mar 2020 19:51:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kombu
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
  Christopher Hoskin <mans0954@debian.org>,
  Thomas Goirand <zigo@debian.org>,
+ Sergio Durigan Junior <sergiodj@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -17,9 +17,9 @@
 Build-Depends-Indep:
  python3-amqp (>= 2.5.2) <!nocheck>,
  python3-anyjson (>= 0.3.3) <!nocheck>,
+ python3-botocore <!nocheck>,
  python3-case <!nocheck>,
  python3-django <!nocheck>,
- python3-funcsigs <!nocheck>,
  python3-mock <!nocheck>,
  python3-msgpack <!nocheck>,
  python3-pymongo <!nocheck>,
@@ -35,7 +35,7 @@
 Build-Conflicts:
  python-cjson,
  python-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/modules/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/kombu
@@ -45,6 +45,7 @@
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import kombu; print(kombu)" ; done
Depends:
 python3-all,
 python3-kombu,

## kombu 5.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  apicheck   to verify that all modules are present in autodoc"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PROJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PROJ.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PROJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PROJ"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: apicheck
apicheck:
	$(SPHINXBUILD) -b apicheck $(ALLSPHINXOPTS) $(BUILDDIR)/apicheck

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
kombu (5.0.2-3) unstable; urgency=medium

  * Add patch: allow-any-version-of-pytest.patch (Closes: #977069).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 19:08:48 +0100

kombu (5.0.2-2) unstable; urgency=medium

  * Team upload.
  * Declare Breaks: python3-celery (<< 5.0)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Oct 2020 13:56:14 -0300

kombu (5.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * New upstream release.
  * Min version of python3-amqp is now 5.0.
  * Add a debian/salsa-ci.yml.

  [ Nicolas Dandrimont ]
  * Mark import-only autopkgtests as superficial.
  * Drop importlib-metadata dependencies, this module is built-in to
    Python >= 3.8 (Closes: #964093).
  * Drop unused upstream signing key.
  * Add missing dependency on python3-vine (Closes: #971697).

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 17 Oct 2020 01:22:45 +0200

kombu (5.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * Uploading to unstable

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2020 15:06:04 +0200

kombu (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed 0002-Disable-intershpinx-mapping-for-now.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 16:58:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kombu
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-amqp (>= 2.5.2) <!nocheck>,
+ python3-amqp (>= 5.0.0) <!nocheck>,
  python3-anyjson (>= 0.3.3) <!nocheck>,
  python3-botocore <!nocheck>,
  python3-case <!nocheck>,
@@ -25,7 +25,7 @@
  python3-pymongo <!nocheck>,
  python3-pyro4 <!nocheck>,
  python3-pytest <!nocheck>,
- python3-redis <!nocheck>,
+ python3-redis (>= 3.3.11) <!nocheck>,
  python3-simplejson <!nocheck>,
  python3-sphinx-celery <!nodoc>,
  python3-sqlalchemy <!nocheck>,
@@ -37,8 +37,8 @@
  python-sphinx,
 Standards-Version: 4.5.0
 Homepage: https://github.com/celery/kombu/
-Vcs-Git: https://salsa.debian.org/python-team/modules/kombu.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/kombu
+Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
 Rules-Requires-Root: no
 
 Package: python-kombu-doc
@@ -67,8 +67,9 @@
 Package: python3-kombu
 Architecture: all
 Depends:
- python3-amqp (>= 1.4.6),
+ python3-amqp (>= 5.0.0),
  python3-anyjson (>= 0.3.3),
+ python3-vine,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -80,6 +81,8 @@
  python3-pymongo,
  python3-redis,
  python3-sqlalchemy,
+Breaks:
+ python3-celery (<< 5.0),
 Description: AMQP Messaging Framework for Python (Python3 version)
  The aim of Kombu is to make messaging in Python as easy as possible by
  providing an idiomatic high-level interface for the AMQP protocol. It is meant

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,3 @@
 
 override_dh_compress:
 	dh_compress -X .js -X .html
-
-override_dh_clean:
-	rm -rf docs/.build
-	rm -rf kombu.egg-info/PKG-INFO
-	dh_clean

=== debian/tests/control ===
--- 
+++ 
@@ -2,3 +2,4 @@
 Depends:
  python3-all,
  python3-kombu,
+Restrictions: superficial

## kombu 5.2.3

=== debian/changelog ===
kombu (5.2.3-1) unstable; urgency=low

  * New upstream release.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 07 Jan 2022 17:05:20 +0000

kombu (5.2.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add d/upstream/metadata.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Nov 2021 09:56:31 +0000

kombu (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Add python3-azure to Build-Depends, required by tests.
  * Configure tests using pybuild environment variables instead of
    debhelper override.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 15 Sep 2021 07:37:58 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Build-Depends-Indep:
  python3-amqp (>= 5.0.0) <!nocheck>,
  python3-anyjson (>= 0.3.3) <!nocheck>,
+ python3-azure <!nocheck>,
  python3-botocore <!nocheck>,
  python3-case <!nocheck>,
  python3-django <!nocheck>,
@@ -35,7 +36,7 @@
 Build-Conflicts:
  python-cjson,
  python-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu

## kombu 5.2.4

=== debian/changelog ===
kombu (5.2.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-anyjson.
    + python3-kombu: Drop versioned constraint on python3-anyjson in Depends.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Fri, 18 Mar 2022 08:54:27 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-amqp (>= 5.0.0) <!nocheck>,
- python3-anyjson (>= 0.3.3) <!nocheck>,
+ python3-anyjson <!nocheck>,
  python3-azure <!nocheck>,
  python3-botocore <!nocheck>,
  python3-case <!nocheck>,
@@ -69,7 +69,7 @@
 Architecture: all
 Depends:
  python3-amqp (>= 5.0.0),
- python3-anyjson (>= 0.3.3),
+ python3-anyjson,
  python3-vine,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=kombu
+export PYBUILD_BEFORE_TEST=cp -r {dir}/t {dir}/setup.cfg {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t {build_dir}/setup.cfg
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -11,11 +13,6 @@
 	dh_sphinxdoc
 endif
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
-endif
-
 override_dh_python3:
 	dh_python3 -v
 	dh_python3 -v

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://pypi.debian.net/kombu/kombu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kombu 5.3.1

=== debian/changelog ===
kombu (5.3.1-2) unstable; urgency=medium

  * Remove /usr/lib/python3/dist-packages/control (Closes: #1037554).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jul 2023 09:02:40 +0200

kombu (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2023 07:41:42 +0000

kombu (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Add python3-hypothesis to Build-Depends, required by tests.
  * Bump Standards-Version to 4.6.2.
  * Clean up .pytest_cache directory after build-time tests.
  * Skip redis sentinel tests.
  * Remove override for dh_python3.
  * Refresh patches and drop upstreamed ones.
  * Skip redis sentinel tests in autopkgtests.
  * Add linitan overrides for PKCS7 bundle used in PayPal donation
    button.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 13:08:32 +0000

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-botocore <!nocheck>,
  python3-case <!nocheck>,
  python3-django <!nocheck>,
+ python3-hypothesis <!nocheck>,
  python3-mock <!nocheck>,
  python3-msgpack <!nocheck>,
  python3-pymongo <!nocheck>,
@@ -36,7 +37,7 @@
 Build-Conflicts:
  python-cjson,
  python-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 export PYBUILD_NAME=kombu
 export PYBUILD_BEFORE_TEST=cp -r {dir}/t {dir}/setup.cfg {build_dir}
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t {build_dir}/setup.cfg
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t {build_dir}/setup.cfg {build_dir}/.pytest_cache
+export PYBUILD_TEST_ARGS=-k 'not test_getting_master_from_sentinel and not test_getting_master_from_sentinel_single_node'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -13,9 +14,6 @@
 	dh_sphinxdoc
 endif
 
-override_dh_python3:
-	dh_python3 -v
-	dh_python3 -v
-
 override_dh_compress:
+	rm -rf $(CURDIR)/debian/python3-kombu/usr/lib/python3/dist-packages/control
 	dh_compress -X .js -X .html

## kombu 5.3.2

=== debian/changelog ===
kombu (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2
  * Use github.com in d/watch.
  * Clean up artifacts right after running tests.
  * Simplify d/rules by using execute_ targets instead of overrides.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 03 Sep 2023 21:34:32 +0000

## kombu 5.3.4

=== debian/changelog ===
kombu (5.3.4-1) unstable; urgency=low

  * New upstream version 5.3.4

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Nov 2023 15:52:36 +0000

kombu (5.3.2-2) unstable; urgency=medium

  * Add patch to satisfy assinine sphinx 7.x parsing logic for copyright year
    substitution (Closes: #1042706).

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Oct 2023 09:20:05 +0000

## kombu 5.3.5

=== debian/changelog ===
kombu (5.3.5-2) unstable; urgency=medium

  * Team upload.
  * Remove (build-)dependency on python3-anyjson; kombu no longer uses it as
    of 4.0.
  * Cherry-pick upstream patch to fix test failures with pytest v8.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Feb 2024 11:12:18 +0000

kombu (5.3.5-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * remove extraneous build dep python3-mock

  [ Michael Fladischer ]
  * New upstream version 5.3.5
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2024 16:03:46 +0000

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,11 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-amqp (>= 5.0.0) <!nocheck>,
- python3-anyjson <!nocheck>,
  python3-azure <!nocheck>,
  python3-botocore <!nocheck>,
  python3-case <!nocheck>,
  python3-django <!nocheck>,
  python3-hypothesis <!nocheck>,
- python3-mock <!nocheck>,
  python3-msgpack <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pyro4 <!nocheck>,
@@ -70,7 +68,6 @@
 Architecture: all
 Depends:
  python3-amqp (>= 5.0.0),
- python3-anyjson,
  python3-vine,
  ${misc:Depends},
  ${python3:Depends},
@@ -78,7 +75,7 @@
  python3-yaml,
 Suggests:
  python-kombu-doc,
- python3-boto,
+ python3-boto3,
  python3-django,
  python3-pymongo,
  python3-redis,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kombu
export PYBUILD_BEFORE_TEST=cp -r {dir}/t {dir}/setup.cfg {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t {build_dir}/setup.cfg {build_dir}/.pytest_cache {build_dir}/control
export PYBUILD_TEST_ARGS=-k 'not test_getting_master_from_sentinel and not test_getting_master_from_sentinel_single_node'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-kombu-doc/usr/share/doc/python-kombu-doc/html
endif

override_dh_compress:
	dh_compress -X .js -X .html

## kombu 5.3.7

=== debian/changelog ===
kombu (5.3.7-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-case

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 00:01:19 +0200

kombu (5.3.7-1) unstable; urgency=low

  * New upstream version 5.3.7

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Apr 2024 22:11:10 +0000

kombu (5.3.6-1) unstable; urgency=low

  * New upstream version 5.3.6
  * Drop patch for pytest-v8 compatibility, fixed in upstream.

 -- Michael Fladischer <fladi@debian.org>  Sun, 31 Mar 2024 18:27:38 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-amqp (>= 5.0.0) <!nocheck>,
  python3-azure <!nocheck>,
  python3-botocore <!nocheck>,
- python3-case <!nocheck>,
  python3-django <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-msgpack <!nocheck>,
